Directory Traversal

Affecting python-django package, versions <1:1.11.11-1ubuntu1.12

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Affected versions of this package are vulnerable to Directory Traversal. In Django 2.2 before 2.2.20, 3.0 before 3.0.14, and 3.1 before 3.1.8, MultiPartParser allowed directory traversal via uploaded files with suitably crafted file names. Built-in upload handlers were not affected by this vulnerability.

Remediation

Upgrade python-django to version 1:1.11.11-1ubuntu1.12 or higher.

References

CVSS Score

5.3
low severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
CVE
CVE-2021-28658
CWE
CWE-22
Snyk ID
SNYK-UBUNTU1804-PYTHONDJANGO-1243888
Disclosed
06 Apr, 2021
Published
07 Apr, 2021